| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
DataHolder Class Reference

`#include <Token.hpp>`

## Public Member Functions

| DataHolder ()
| DataHolder (const DataHolder &data_holder)
| DataHolder (DataHolder &&data_holder)
DataHolder & | operator= (const DataHolder &data_holder)
DataHolder & | operator= (DataHolder &&data_holder)
bool | is_nil () const
void | class_id (const std::string &class_id)
void | class_id (std::string &&class_id)
std::string & | class_id ()
const std::string & | class_id () const
const PropertySeq & | properties () const
PropertySeq & | properties ()
const BinaryPropertySeq & | binary_properties () const
BinaryPropertySeq & | binary_properties ()

## Constructor & Destructor Documentation

## ◆ DataHolder() [1/3]

DataHolder | ( |  | ) |

inline

## ◆ DataHolder() [2/3]

DataHolder | ( | const DataHolder & | data_holder | ) |

inline

## ◆ DataHolder() [3/3]

DataHolder | ( | DataHolder && | data_holder | ) |

inline

## Member Function Documentation

## ◆ binary_properties() [1/2]

BinaryPropertySeq & binary_properties | ( |  | ) |

inline

## ◆ binary_properties() [2/2]

const BinaryPropertySeq & binary_properties | ( |  | ) | const

inline

## ◆ class_id() [1/4]

std::string & class_id | ( |  | ) |

inline

## ◆ class_id() [2/4]

const std::string & class_id | ( |  | ) | const

inline

## ◆ class_id() [3/4]

void class_id | ( | const std::string & | class_id | ) |

inline

## ◆ class_id() [4/4]

void class_id | ( | std::string && | class_id | ) |

inline

## ◆ is_nil()

bool is_nil | ( |  | ) | const

inline

## ◆ operator=() [1/2]

DataHolder & operator= | ( | const DataHolder & | data_holder | ) |

inline

## ◆ operator=() [2/2]

DataHolder & operator= | ( | DataHolder && | data_holder | ) |

inline

## ◆ properties() [1/2]

PropertySeq & properties | ( |  | ) |

inline

## ◆ properties() [2/2]

const PropertySeq & properties | ( |  | ) | const

inline

The documentation for this class was generated from the following file:

- include/fastdds/rtps/common/Token.hpp